Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

Upgrading SilverStripe

Ask questions about upgrading SilverStripe to the latest version.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Determining Version and Database Connections


Reply

2 Posts   1047 Views

Avatar
BigBirdy

26 May 2013 at 7:16am Community Member, 2 Posts

Good day. I am about to test the upgrade of a SS (version 3 I believe), to the 3.1 beta in order to run the UserForms module, which apparently indicates version 3.0 is supported on the module site, but the readme indicates 3.1 is required.

1: Database credentials

The file /mysite/_config.php on contains a db name and no login details? Where would these be located?

global $database;
$database = 'somedatabase';

require_once("conf/ConfigureFromEnv.php");

MySQLDatabase::set_connection_charset('utf8');

// Set the current theme. More themes can be downloaded from
// http://www.silverstripe.org/themes/
SSViewer::set_theme('sometheme');

2: SS Version

The /framework/silverstripe_version file is EMPTY. Where/how else can I determine the current version?

Avatar
Willr

26 May 2013 at 1:08pm Forum Moderator, 5511 Posts

1: They could be located in your _ss_environment.php file http://doc.silverstripe.org/framework/en/topics/environment-management
2: The recommended approach now is to use composer to manage your SilverStripe installation. All the version information in that will be in your composer.json file (http://doc.silverstripe.org/framework/en/installation/composer)